Name:           raven-release
Version:        1.0.1
Release:        1%{?dist}
Group:          System Environment/Base
License:        BSD
URL:            https://sysadmins.ws/viewtopic.php?f=96&t=22598
Summary:        Raven repository configuration

Source1:        raven.repo
Source2:        RPM-GPG-KEY-raven
Source3:        macros.raven
Source4:        disable-modular-for-el9.patch
BuildArch:      noarch

%if 0%{?rhel} > 8
BuildRequires:  patch
%endif

%if 0%{?rhel} < 8
Requires:       epel-release
%else
Recommends:     epel-release
%endif


%description
This package contains Raven RPM Repository configuration for dnf/yum,
as well as the public GPG keys.

Unstable and/or conflicting repository part is not enabled by default,
so you should use the --enablerepo=raven-extras or
--enablerepo=raven-testing option to temporarily enable them

%package -n raven-rpm-macros
Summary: Macros for rx- packages

%description -n raven-rpm-macros
RPM macros set to work with rx- prefixed packages install root


%prep
%setup -c -T

%build
echo Done

%install
rm -rf %{buildroot}

install -Dp -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/raven.repo
install -Dp -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-raven
install -Dp -m 644 %{SOURCE3} %{buildroot}%{_rpmmacrodir}/macros.raven

%if 0%{?rhel} > 8
pushd  %{buildroot}%{_sysconfdir}/yum.repos.d/
patch -p1 -b raven.repo < %{SOURCE4} && rm -f raven.repo.orig
popd
%endif


%post
echo '!!! WARNING !!!
You have installed an unofficial repository configuration. Some parts of it may
break compatibility with the base packages of your OS, so you use it at YOUR OWN RISK!

Unstable and/or conflicting repository parts are not enabled by default,
you can use the --enablerepo=raven-extras or --enablerepo=raven-testing option
to enable them temporarily.
'

%files
%config %{_sysconfdir}/yum.repos.d/raven.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-raven

%files -n raven-rpm-macros
%{_rpmmacrodir}/macros.raven

%changelog
* Wed Feb 28 2024 Raven <raven@sysadmins.ws> - 1.0.1-0.1
- change repo domain. Existing .repo file will be
  replaced with new one.

* Mon Nov 14 2022 Raven <raven@sysadmins.ws> - 1.0-5
- add raven-rpm-macros subpackage

* Thu Oct 13 2022 Raven <raven@sysadmins.ws> - 1.0-4
- add support for el9

* Thu Mar 10 2022 Raven <raven@sysadmins.ws> - 1.0-3
- raven-multimedia enabled by default

* Fri Jan 15 2021 Raven <raven@sysadmins.ws> - 1.0-2
- add modular repo

* Sun Apr  5 2020 Raven <raven@sysadmins.ws> - 1.0-1
- initial release

